import { createApp } from 'vue'
import { setupStore } from '@/store'
import i18n from '@/lang/index'

import App from './App.vue'
import router from './router'

import * as ElementPlusIconsVue from '@element-plus/icons-vue'

// 本地SVG图标
import 'virtual:svg-icons-register'
// 国际化

const app = createApp(App)
setupStore(app)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}
app.use(router).use(i18n).mount('#app')
