import { AxiosWrapper } from '@/utils/axios-wrapper'
import { checkResult } from '@/utils/checkResult'
import { UserStore } from '@/store/user'

export const registerBeforeRouter = (router) => {
  router.beforeEach(async (to, from, next) => {
    const userStore = UserStore()
    const axios = new AxiosWrapper()
    document.title = `${to.meta.title} `
    const token = localStorage.getItem('token')
    if (to.name != 'login') {
      if (token) {
        const result = await axios.get(`${import.meta.env.VITE_REQUEST_BASE}/token/tokenView`, null, {
          headers: {
            token: token
          }
        })
        if (checkResult(result)) {
          userStore.setUser(result.data)
        }
        next()
      } else next('/login')
    } else next()
  })
}
